summaryrefslogtreecommitdiffstats
path: root/development/openjdk7
diff options
context:
space:
mode:
Diffstat (limited to 'development/openjdk7')
-rw-r--r--development/openjdk7/README31
-rw-r--r--development/openjdk7/openjdk7.SlackBuild114
-rw-r--r--development/openjdk7/openjdk7.info48
3 files changed, 109 insertions, 84 deletions
diff --git a/development/openjdk7/README b/development/openjdk7/README
index c0a5183f10..cd6b29a03b 100644
--- a/development/openjdk7/README
+++ b/development/openjdk7/README
@@ -1,32 +1,35 @@
-OpenJDK 7 is an open source implementation of version 7 of the Java
-Development Kit, Standard Edition. It includes tools for developing,
-testing, and running programs written in Java.
+OpenJDK 7 is an open source implementation of version 7 of the
+Java Development Kit, Standard Edition. It includes tools for
+developing, testing, and running programs written in Java.
-apache-ant is a required dependency and you have to install it before
-you build 'openjdk7'. However, you do not need to install Oracle's jdk,
-since it's only a runtime dependency of apache-ant.
+This build requires gcc5.
Before installing this package please consider any other jdk's/jre's
that you have already installed as they may cause conflicts with the
PATH, JAVA_HOME and MANPATH variables.
-After installing the package you will need to logout/reboot your
+After installing the package you will need to logout/login to your
machine as it will add new files to the /etc/profile.d folder.
This script may take a couple of hours to complete and will require
-about 11 GB of disk space for its temporary directory. It defaults to
+about 11 GB of disk space for its temporary directory. It defaults to
"/tmp/SBo" and you may redefine it like this:
TMP=/your/temporary/dir ./openjdk7.SlackBuild
The 'cacerts' binary is a TrustStore containing CA certificates which
-are used by Java applications. It is taken from the CentOS package
+are used by Java applications. It is taken from the CentOS package
'ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm'.
-If you get an error like
+NOTES
+1. The apache-ant in SBo (1.10.x) is incompatible with openjdk7,
+so the script now uses the previous version (1.9.x) to build.
-Internal compiler error: java.lang.NullPointerException at
-org.eclipse.jdt.internal.compiler.ReadManager.run(ReadManager.java:166)
+2. Currently this will only build on 64-bit. On 32-bit, it need to
+link with the libstdc++ in gcc5 but tries to link with the default
+/usr/lib/libstc++ and errors out with the message:
-simply run the build again. This happens early so it shouldn't be that
-of a problem. At least 1 out of 5 runs so far have always succeded.
+/usr/bin/ld: /usr/lib/libstdc++.so.6: \
+ undefined reference to `__divmoddi4@GCC_7.0.0'
+
+Any help with this issue would be GREATLY appreciated.
diff --git a/development/openjdk7/openjdk7.SlackBuild b/development/openjdk7/openjdk7.SlackBuild
index b10729d6a7..202502482c 100644
--- a/development/openjdk7/openjdk7.SlackBuild
+++ b/development/openjdk7/openjdk7.SlackBuild
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for OpenJDK
# Copyright 2020 Strahil Yordanov, Sofia, Bulgaria
+# Copyright 2021 Lenard Spencer, Orlando, Florida, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,6 +23,57 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PRGNAM=openjdk7
+VERSION=${VERSION:-7u321}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+DVER=1.7.0_$(printf $VERSION | cut -du -f2)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+BUILD_DIR=$TMP/$PRGNAM
+SBO_PATCH_DIR="${BUILD_DIR}/jdk-archive-patch"
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+. $CWD/$PRGNAM.info || exit 1
+ICEDTEA=`echo $DOWNLOAD | awk '{print $1}' | awk -F / '{print $NF}'`
+ANT=`echo $DOWNLOAD | awk '{print $9}' | awk -F / '{print $NF}'`
+ANT_HOME=$BUILD_DIR/${ANT%-bin*} # this overrides the "official" ANT_HOME
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIB_ARCH=amd64
+ LIBDIRSUFFIX="64"
+else
+ LIB_ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
+# Check for the gcc5 package, and abort if not found:
+if [ ! -x /usr/bin/gcc-5 ]; then
+ echo "This requires the gcc5 package to build."
+ echo "Please install gcc5 and rerun this script."
+ exit 1
+else
+ source /etc/profile.d/gcc5.sh # Set the environment
+fi
+
+BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/jvm
+
function createPatchedJdkArchive() {
mkdir -p ${SBO_PATCH_DIR} && cd ${SBO_PATCH_DIR}
@@ -43,6 +95,9 @@ diff -Nru openjdk-boot.orig/jdk/src/share/classes/sun/security/util/Optional.jav
EOF
+# Remove the sys/sysctl.h includes (they weren't being used anyway)
+ sed -i '/sys\/sysctl.h/d' src/solaris/native/java/net/PlainDatagramSocketImpl.c
+ sed -i '/sys\/sysctl.h/d' src/solaris/native/java/net/PlainSocketImpl.c
cd ..
tar -cvjSf jdk.tar.bz2 jdk-*
}
@@ -53,38 +108,6 @@ function fixJdkArchiveChecksum() {
sed -r -i "s/^(\s*JDK_SHA256SUM\s*=\s*).*$/\1${newChecksum}/" Makefile
}
-PRGNAM=openjdk7
-VERSION=${VERSION:-7u271}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-DVER=1.7.0_$(printf $VERSION | cut -du -f2)
-ICEDTEA=icedtea-2.6.23
-
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
-
-CWD="$(pwd)"
-TMP=${TMP:-/tmp/SBo}
-BUILD_DIR=$TMP/$PRGNAM
-SBO_PATCH_DIR="${BUILD_DIR}/jdk-archive-patch"
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" = "x86_64" ]; then
- LIB_ARCH=amd64
- LIBDIRSUFFIX="64"
-else
- LIB_ARCH=i386
- LIBDIRSUFFIX=""
-fi
-
-BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/jvm
-
set -e
rm -rf $BUILD_DIR $PKG
@@ -94,13 +117,14 @@ mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
cd $BUILD_DIR
-tar -xvf $CWD/${ICEDTEA}.tar.xz
+tar -xvf $CWD/${ANT}
+tar -xvf $CWD/${ICEDTEA}
mkdir icedtea-build
cd icedtea-build
# Set JAVA_HOME in order to avoid conflicts with other already installed JVMs.
-JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$ANT_HOME/bin:$PATH ../${ICEDTEA%.tar*}/configure \
--disable-docs \
--disable-downloading \
--with-jdk-home=${BOOT_JAVA} \
@@ -108,6 +132,8 @@ JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
--disable-system-kerberos \
--disable-system-pcsc \
--disable-system-sctp \
+ --disable-system-zlib \
+ --disable-compile-against-syscalls \
--with-cacerts-file="$CWD/cacerts" \
$(
# cacerts is taken from this CentOS package:
@@ -129,10 +155,11 @@ fixJdkArchiveChecksum
JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH LOG=trace make
-cd $PKG
-mkdir -p usr/lib${LIBDIRSUFFIX}
-cd usr/lib${LIBDIRSUFFIX}
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cd $PKG/usr/lib${LIBDIRSUFFIX}
cp -av $BUILD_DIR/icedtea-build/openjdk.build/j2sdk-image/ $PRGNAM
+ln -sf $PRGNAM ${PRGNAM}${DVER}
+ln -sf $PRGNAM/jre/lib/${LIB_ARCH}/server/libjvm.so .
chown -R root.root $PKG
find -L . \
@@ -143,18 +170,11 @@ find -L . \
mkdir -p $PKG/etc/profile.d
for file in $(ls "$CWD/profile.d/${PRGNAM}"*) ; do
- cat $file | sed -e "s#lib/openjdk7#lib${LIBDIRSUFFIX}/openjdk7#" \
+ cat $file | sed -e "s#lib/openjdk#lib${LIBDIRSUFFIX}/openjdk#" \
> $PKG/etc/profile.d/$(basename $file)
done
chmod 755 $PKG/etc/profile.d/*
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
- ln -sf $PRGNAM ${PRGNAM}${DVER}
-)
-
-cd $PKG/usr/lib${LIBDIRSUFFIX}
- ln -sf ./$PRGNAM/jre/lib/${LIB_ARCH}/server/libjvm.so .
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
@@ -164,4 +184,4 @@ cp -a $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/{THIRD_PARTY_README,LICENSE,ASSEMBLY_E
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/openjdk7/openjdk7.info b/development/openjdk7/openjdk7.info
index 70b49e855d..92fc606bda 100644
--- a/development/openjdk7/openjdk7.info
+++ b/development/openjdk7/openjdk7.info
@@ -1,24 +1,26 @@
PRGNAM="openjdk7"
-VERSION="7u271"
-HOMEPAGE="http://openjdk.java.net"
-DOWNLOAD="http://icedtea.classpath.org/download/source/icedtea-2.6.23.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/openjdk.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/corba.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/jaxp.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/jaxws.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/jdk.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/langtools.tar.bz2 \
- http://icedtea.classpath.org/download/drops/icedtea7/2.6.23/hotspot.tar.bz2"
-MD5SUM="b18cc58b81bdd59f91b961b9430952a6 \
- 69969330d95c9ba4f0088b645958ed1c \
- bb1270b47c365d2a5757868d43fb30e7 \
- a8e3b94c09a0a873101322bcf2723507 \
- 9c50dc5e69395dccda60a549c2fac06f \
- cf1fe157b63e83dc5b8e6f7b134dd5a6 \
- 43166317dfb730ee074d7c42d0181649 \
- 4d77e2dfa55e15eb5602b53ba8ab49ff"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="apache-ant"
-MAINTAINER="Strahil Yordanov"
-EMAIL="strahilski@yahoo.com"
+VERSION="7u321"
+HOMEPAGE="https://openjdk.java.net"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://icedtea.classpath.org/download/source/icedtea-2.6.28.tar.xz \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/openjdk.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/corba.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/jaxp.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/jaxws.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/jdk.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/langtools.tar.bz2 \
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/hotspot.tar.bz2 \
+ https://archive.apache.org/dist/ant/binaries/apache-ant-1.9.16-bin.tar.bz2"
+MD5SUM_x86_64="11663b88a06f3461607c026510dd733a \
+ bcd48aa756a108cb437f07ed291436f9 \
+ 5c16e53e461cf640842cec44f9a6264a \
+ 9fe804632cfd4a47423a58a0171bc420 \
+ 01120ce5103a1f1f8b79ad4f8ae1511d \
+ c4332b8442e438ac498f206c8851f68c \
+ ebbc311a2aa8afdf1dd4e3d2b7f55aba \
+ c168159cc98db90a5d14b077e2c49ae9 \
+ 2a1ef0230e673b6da876a8fc9744b9a1"
+REQUIRES="gcc5"
+MAINTAINER="Lenard Spencer"
+EMAIL="lenardrspencer@gmail.com"